[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# EObjectCheck

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A Nil object reference was encountered

## Declaration

Source position: sysutilh.inc line 193

`type EObjectCheck = class(Exception)`

## Inheritance

`EObjectCheck` |  | A Nil object reference was encountered
`Exception` |  | Base class of all exceptions.
`TObject`

## Description

EObjectCheck is raised when the -CR (check object references) command-line option or {$OBJECTCHECKS ON} directive is in effect and a Nil reference to an object or class was encountered.

## See also

EAccessViolation |  | Access Violation error